Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface ClientModule

    org.gradle.api.artifacts.ModuleVersionSelector
      org.gradle.api.artifacts.ExternalDependency
          org.gradle.plugins.ide.idea.model.ModuleDependency
              org.gradle.api.artifacts.ClientModule
                  org.gradle.api.artifacts.Dependency

All Superinterfaces:
  ModuleVersionSelector, ExternalDependency, ModuleDependency, Dependency

    public interface ClientModule
    extends ExternalDependency

To model a module in your dependency declarations. Usually you can either declare a single dependency artifact or you declare a module dependency that depends on a module descriptor in a repository. With a client module you can declare a module dependency without the need of a module descriptor in a remote repository.

Authors:
  Hans Dockter

Method Summary
`void` | `addDependency(ModuleDependency dependency)` Add a dependency to the client module.
`ClientModule` | `copy()` {@inheritDoc}
`Set` | `getDependencies()` Returns all the dependencies added to the client module.
`String` | `getId()` Returns the id of the client module.

Methods inherited from interface ExternalDependency
copy, isForce, setForce

Methods inherited from interface ModuleVersionSelector
getGroup, getName, getVersion

Methods inherited from class ModuleDependency
addToNode, equals, hashCode, toString

Method Detail

### addDependency

    public void addDependency(ModuleDependency dependency)

  Add a dependency to the client module. Such a dependency is transitive dependency for the project that has a dependency on the client module.
  Parameters:
    `dependency` - The dependency to add to the client module.
  See Also:
    getDependencies()

### copy

    public ClientModule copy()

  {@inheritDoc}

### getDependencies

    public Set getDependencies()

  Returns all the dependencies added to the client module.
  See Also:
    addDependency(ModuleDependency)

### getId

    public String getId()

  Returns the id of the client module. This is usually only used for internal handling of the client module.
  Returns:
    The id of the client module

Gradle API 1.1-rc-1